Windows 10, Windows 8.1 및 Windows 8에 .NET Framework 3.5 설치Install the .NET Framework 3.5 on Windows 10, Windows 8.1, and Windows 8

Windows 10, Windows 8.1 및 Windows 8에서 앱을 실행하려면 .NET Framework 3.5가 필요할 수 있습니다.You may need the .NET Framework 3.5 to run an app on Windows 10, Windows 8.1, and Windows 8. 이러한 지침은 이전 Windows 버전에도 사용할 수 있습니다.You can also use these instructions for earlier Windows versions.

요청 시 .NET Framework 3.5 설치Install the .NET Framework 3.5 on Demand

.NET Framework 3.5가 필요한 앱을 실행하려고 하면 다음 구성 대화 상자가 표시될 수 있습니다.You may see the following configuration dialog if you try to run an app that requires the .NET Framework 3.5. 이 기능 설치를 선택하여 .NET Framework 3.5를 사용하도록 설정합니다.Choose Install this feature to enable the .NET Framework 3.5. 이 옵션을 사용하려면 인터넷에 연결해야 합니다.This option requires an Internet connection.

.NET Framework 설치 대화 상자

이 팝업이 표시되는 이유는 무엇인가요?Why am I getting this pop-up?

.NET Framework는 Microsoft에서 만들어지고 응용 프로그램을 실행하기 위한 환경을 제공합니다.The .NET Framework is created by Microsoft and provides an environment for running applications. 사용 가능한 다양한 버전이 있습니다.There are different versions available. 많은 회사에서 .NET Framework를 사용하여 실행할 앱을 개발하고 이러한 앱은 특정 버전을 대상으로 합니다.Many companies develop their apps to run using the .NET Framework, and these apps target a specific version. 이 팝업이 표시되면 .NET Framework 버전 3.5가 필요한 응용 프로그램을 실행하려고 하지만 해당 버전이 시스템에 설치되어 있지 않은 것입니다.If you see this pop-up, you're trying to run an application that requires the .NET Framework version 3.5, but that version is not installed on your system.

제어판에서 .NET Framework 3.5를 사용하도록 설정Enable the .NET Framework 3.5 in Control Panel

Windows 제어판을 통해 .NET Framework 3.5를 사용하도록 설정할 수 있습니다.You can enable the .NET Framework 3.5 through the Windows Control Panel. 이 옵션을 사용하려면 인터넷에 연결해야 합니다.This option requires an Internet connection.

  1. 키보드에서 Windows 키 Windows 로고를 누르고, “Windows 기능”을 입력한 후 Enter 키를 누릅니다.Press the Windows key Windows Windows logo on your keyboard, type "Windows Features", and press Enter. Windows 기능 사용/사용 안 함 대화 상자가 나타납니다.The Turn Windows features on or off dialog box appears.

  2. .NET Framework 3.5(.NET 2.0 및 3.0 포함) 확인란을 선택하고, 확인을 선택하고, 메시지가 표시되면 컴퓨터를 다시 부팅합니다.Select the .NET Framework 3.5 (includes .NET 2.0 and 3.0) check box, select OK, and reboot your computer if prompted.

    제어판으로 .NET 설치

    이 기능이 필요한 개발자 또는 서버 관리자가 아니라면 WCF(Windows Communication Foundation) HTTP 활성화WCF(Windows Communication Foundation) 비 HTTP 활성화를 위한 자식 항목을 선택할 필요가 없습니다.You don't need to select the child items for Windows Communication Foundation (WCF) HTTP Activation and Windows Communication Foundation (WCF) Non-HTTP Activation unless you're a developer or server administrator who requires this functionality.

.NET Framework 3.5 설치 문제 해결Troubleshoot the installation of the .NET Framework 3.5

설치 중 0x800f0906, 0x800f0907, 0x800f081f 또는 0x800F0922 오류가 발생할 수 있습니다. 이 경우 .NET Framework 3.5 설치 오류: 0x800f0906, 0x800f0907 또는 0x800f081f를 참조하여 이러한 문제 해결 방법을 확인하세요.During installation, you may encounter error 0x800f0906, 0x800f0907, 0x800f081f, or 0x800F0922, in which case refer to .NET Framework 3.5 installation error: 0x800f0906, 0x800f0907, or 0x800f081f to see how to resolve these issues.

여전히 설치 문제를 해결할 수 없거나 인터넷에 연결되어 있지 않으면 Windows 설치 미디어를 사용하여 설치를 시도할 수 있습니다.If you still can't resolve your installation issue or you don't have an Internet connection, you can try installing it using your Windows installation media. 자세한 내용은 Deploy .NET Framework 3.5 by using Deployment Image Servicing and Management (DISM)(DISM(배포 이미지 서비스 및 관리)을 사용하여 .NET Framework 3.5 배포)를 참조하세요.For more information, see Deploy .NET Framework 3.5 by using Deployment Image Servicing and Management (DISM). 설치 미디어가 없는 경우 Windows용 설치 미디어 만들기를 참조하세요.If you don't have the installation media, see Create installation media for Windows.

경고

.NET Framework 3.5 설치용 원본으로 Windows 업데이트를 사용하지 않는 경우 동일한 Windows 운영 체제 버전의 원본만을 사용해야 합니다.If you're not relying on Windows Update as the source for installing the .NET Framework 3.5, you must ensure to strictly use sources from the same corresponding Windows operating system version. 동일한 버전의 Windows에 해당하지 않는 원본 경로를 사용하면 .NET Framework 3.5와 일치하지 않는 버전이 설치되지 않습니다.Using a source path that doesn't correspond to the same version of Windows won't prevent a mismatched version of .NET Framework 3.5 from being installed. 그러나 이로 인해 시스템이 지원되지 않고 서비스를 제공할 수 없는 상태가 됩니다.However, this will cause the system to be in an unsupported and unserviceable state.